# $Revision: 1.6 $, $Date: 2002/11/13 15:46:29 $
Summary:	A clone of the famous 8bit Atari game Robbo
Summary(pl):	Klon synnej gry Robbo znanej z 8-bitowych Atari
Name:		gnurobbo
Version:	0.57
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://telia.dl.sourceforge.net/sourceforge/gnurobbo/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://gnurobbo.sf.net/
BuildRequires:	SDL_ttf-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
GNU Robbo is very addictive logic game. You must help
little robot to get out of unfriendly planet, collecting
parts of emergency capsule.

%description -l pl
GNU Robbo jest bardzo uzaleniajc gr logiczn. Naley pomc
maemu robotowi uciec z nieprzyjaznych planet zbierajc czci
kapsuy ratunkowej.

%prep
%setup -q

# workaround for bad timestamps on files in source tarball
#find . -type f | xargs touch

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
cp config.h{,.in}
%{__automake}
%configure \
	CPPFLAGS="-I/usr/X11R6/include" \
	LDFLAGS="%{rpmldflags} -L/usr/X11R6/lib"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games,%{_pixmapsdir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Bugs ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_applnkdir}/Games/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnurobbo.spec,v $
Revision 1.6  2002/11/13 15:46:29  wolf
- 0.57

Revision 1.5  2002/11/03 23:18:54  wolf
- 0.56

Revision 1.4  2002/10/18 13:58:45  wolf
- 0.55
- better description
- use desktop file
- new icon

Revision 1.3  2002/10/16 09:02:10  qboosh
- typo

Revision 1.2  2002/10/15 16:36:22  wolf
- SDL-devel is BR: by SDL_ttf-devel
- pl desc
- URL

Revision 1.1  2002/10/15 11:54:06  jajcus
- new spec
